Home

Get specific trace by transaction hash and trace address

POST
https://eth-archive.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

The trace_get method returns a specific trace from a transaction by its hash and trace address.

This method is useful for retrieving detailed information about a specific call within a transaction, especially for complex transactions with multiple internal calls.

Body

application/json

The trace_get method returns a specific trace from a transaction by its hash and trace address.

This method is useful for retrieving detailed information about a specific call within a transaction, especially for complex transactions with multiple internal calls.

Request payload for Get specific trace by transaction hash and trace address.

jsonrpcstring2.0required

JSON-RPC version identifier

methodstringtrace_getrequired

The method to be invoked

idinteger | stringrequired

Request identifier for matching responses

paramsArray<string | Array<integer>>required

Array containing transaction hash and trace address

Show child attributes

Single JSON-RPC parameter value accepted by this method.

One of

Hash of the transaction containing the trace

string
Array<integer>

Response

200OK

Successful trace response

400Bad Request

Invalid request parameters

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

404Not Found

Trace not found

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal server error